Subject: Re: bug#57161: 28.1.91; two column windows merge leaves 2nd column window showing

From: Van Ly <[email-masked]>
Date: Fri, 12 Aug 2022 19:43:01 +0000 (UTC)

On Fri, 12 Aug 2022, Eli Zaretskii wrote:

>
> Where does this say that the other window gets deleted?
>

I expect F2 2, F2 1 will get me back to the frame and window 
layout at the moment before F2 2.

>> Documentation  and  actual behavior  drift  apart  is a  common  place
>> expectation in  software.  My familiarity  with C-x 1 carried  over to
>> C-x 6 1.
>
> In this case, extrapolating from "C-x 1" leads to incorrect
> expectations.
>
> I see no bug in the current behavior of "F2 1".
>

I see.

Before pressing F2 2, a new file called "text.text" is in text mode.

Pressing F2  2, F2 1,  leaves the  file in Text  2C mode and  that 2nd
column window is  pushed to the side.   Is there a way to  get back to
plain text mode  and the original one window?   M-x normal-mode won't.
M-x text-mode won't.   The modeline shows "2C".  I don't  know what to
do with that marginal window.